tuxpaint crash on start with "Illegal instruction"

Bug #691987 reported by mkuerschner on 2010-12-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tuxpaint (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: tuxpaint

I use ubuntu on my iMac ppc. After the upgrade to version 10.04 the application tuxpaint crash on start. This is realy bad, because it is the computer for the kids.

Thanks, hope you find a solution.

Michael

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: tuxpaint 1:0.9.21-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-26.48-powerpc 2.6.32.24+drm33.11
Uname: Linux 2.6.32-26-powerpc ppc
Architecture: powerpc
Date: Sat Dec 18 19:46:31 2010
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release powerpc (20091027.2)
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: tuxpaint

DanB (dan-signup) wrote :

I am having the same problem on an ibook G3. Any help?

Hello,

Am 16.06.2011 21:47, schrieb DanB:
> I am having the same problem on an ibook G3. Any help?
>
I have test today some other ways to run the program. First I install
the debian 6 packages, some error. Than I compile the versions 0.9.21,
0.9.20 and 0.9.18 from the source tree. All versions show the same
behavior. It crash on the same point, if I start the application with
strace.

It is possible, that a library which is loaded by tuxpaint is the
causer? Some ideas??

Michael

Am 16.06.2011 21:47, schrieb DanB:
> I am having the same problem on an ibook G3. Any help?
Today I try a newer version of the library libpng, because a friend tell
me, that tuxpaint crashed if it read a png file and scan over the end of
the file.

The package will provided by the debian sqeeze team:

ii libpng12-0 1.2.44-1 PNG
library - runtime

I compile tuxpaint against this version, same status: tuxpaint crashed.

Regards
Michael

Am 16.06.2011 21:47, schrieb DanB:
> I am having the same problem on an ibook G3. Any help?
I think, I have found the problem and a solution. I play with the gdb
and see that the tuxpaint program crash in interaction the library
libSDL. So I search on debian site, if there is a newer version available.

I install the following packages from debian squeeze, because the
package libsdl1.2debian_1.2.14-6.1 has a fix for a crash under powerpc
(http://packages.debian.org/changelogs/pool/main/libs/libsdl1.2/libsdl1.2_1.2.14-6.1/changelog
--> close bug http://bugs.debian.org/572420)

dpkg -i ./libsdl1.2debian_1.2.14-6.1_powerpc.deb
./libsdl1.2-dev_1.2.14-6.1_powerpc.deb
./libsdl1.2debian-alsa_1.2.14-6.1_powerpc.deb
libartsc0_1.5.9-3+b2_powerpc.deb libartsc0-dev_1.5.9-3+b2_powerpc.deb
libdirectfb-1.2-9_1.2.10.0-4+b1_powerpc.deb

The other packages are needed for the dependencies. After that I install
the original tuxpaint package and it runs.

Regards
Michael

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.